## texlive-lang 2018.20180505

=== debian/changelog ===
texlive-lang (2018.20180505-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <preining@debian.org>  Sat, 05 May 2018 15:52:47 +0900

texlive-lang (2018.20180416-1) unstable; urgency=medium

  * TeX Live 2018 release for Debian

 -- Norbert Preining <preining@debian.org>  Mon, 16 Apr 2018 13:06:11 +0900

texlive-lang (2018.20180404-1) experimental; urgency=medium

  * new TL 2018 pretest checkout

 -- Norbert Preining <preining@debian.org>  Wed, 04 Apr 2018 10:57:02 +0900

texlive-lang (2018.20180313-1) experimental; urgency=medium

  * TL 2018 pretest packages

 -- Norbert Preining <preining@debian.org>  Tue, 13 Mar 2018 10:24:04 +0900

=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 4.1.3
Homepage: http://www.tug.org/texlive/

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2018.20180416), texlive-base (>= 2018.20180416), texlive-plain-generic (>= 2018.20180416)
Replaces: texlive-luatex (<< 2017.20171022)
Breaks: texlive-base (<< 2018.20180416), texlive-luatex (<< 2017.20171022)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 alkalami -- A font for Arabic-based writing systems in Nigeria and Niger
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages
 .
 arabluatex -- An ArabTeX-like interface for LuaLaTeX
 .
 arabtex -- Macros and fonts for typesetting Arabic
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents
 .
 ghab -- Typeset ghab boxes in LaTeX
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings
 .
 kurdishlipsum -- A package similar to the lipsum and ptext packages for the
 Kurdish language
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX
 .
 luabidi -- Bidirectional typesetting with LuaLaTeX
 .
 na-box -- Arabic-aware version of pas-cours package
 .
 persian-bib -- Persian translations of classic BibTeX styles
 .
 sexam -- Package for typesetting arabic exam scripts
 .
 simurgh -- Typeset Parsi in LuaLaTeX
 .
 tram -- Typeset tram boxes in LaTeX
 .
 xepersian -- Persian for LaTeX, using XeTeX

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2018.20180416), texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20180416)
Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
Breaks: texlive-base (<< 2018.20180416)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother.  Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 -- c90 font encoding for Thai
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 fixjfm -- Fix JFM (for *pTeX)
 .
 jfmutil -- Utility to process pTeX-extended TFM and VF
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 pxtatescale -- Patch to graphics driver for scaling in vertical direction of
 pTeX
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 zxjafont -- Set up Japanese font families for XeLaTeX

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20180416)
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2018.20180416)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 baekmuk -- Baekmuk Korean TrueType fonts
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts
 .
 uhc -- Fonts for the Korean language
 .
 unfonts-core -- TrueType version of Un-fonts
 .
 unfonts-extra -- TrueType version of Un-fonts

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2018.20180416), texlive-lang-cjk (>= 2018.20180416)
Breaks: texlive-base (<< 2018.20180416)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 arphic-ttf -- TrueType version of Chinese Arphic fonts
 .
 asymptote-by-example-zh-cn -- Asymptote by example
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
 .
 cns -- Chinese/Japanese/Korean bitmap fonts
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
 .
 fandol -- Four basic fonts for Chinese typesetting
 .
 fduthesis -- LaTeX thesis template for Fudan University
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn -- Free edition of the book "TeX for the Impatient"
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese
 .
 pgfornament-han -- pgfornament library for Chinese traditional motifs and
 patterns
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 texproposal -- A proposal prototype for LaTeX promotion in Chinese
 universities
 .
 xtuthesis -- XTU thesis template
 .
 upzhkinsoku -- Supplementary Chinese kinsoku for Unicode *pTeX
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 zhlipsum -- Chinese dummy text
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
 .
 zhmetrics-uptex -- Chinese font metrics for upTeX
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20180416)
Conflicts: ptex-jisfonts
Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
Replaces: mendexk
Breaks: texlive-base (<< 2018.20180416)
Description: TeX Live: Japanese
 Support for Japanese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 ascmac -- Boxes and picture macros with Japanese vertical writing support
 .
 babel-japanese -- Babel support for Japanese
 .
 bxbase -- BX bundle base components
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
 .
 bxjalipsum -- Dummy text in Japanese
 .
 bxjaprnind -- Adjust the position of parentheses at paragraph head
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 bxorigcapt -- To retain the original caption names when using Babel
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
 .
 gentombow -- Generate Japanese-style crop marks
 .
 ifptex -- Check if the engine is pTeX or one of its derivatives
 .
 ifxptex -- Detect pTeX and its derivatives
 .
 ipaex -- IPA (Japanese) fonts
 .
 japanese-otf -- Advanced font selection for platex and its friends
 .
 japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX
 .
 jlreq -- Japanese document class based on requirements for Japanese text
 layout
 .
 jsclasses -- Classes tailored for use with Japanese
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 mendex-doc -- Documentation for Mendex index processor
 .
 morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
 dvips
 .
 pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
 .
 platex -- pLaTeX2e and miscellaneous macros for pTeX
 .
 platex-tools -- pLaTeX standard tools bundle
 .
 platexcheat -- A LaTeX cheat sheet, in Japanese
 .
 ptex -- A TeX system for publishing in Japanese
 .
 ptex-base -- Plain TeX format and documents for pTeX and e-pTeX
 .
 ptex-fonts -- Fonts for use with pTeX
 .
 ptex-fontmaps -- Font maps and configuration tools for
 Japanese/Chinese/Korean fonts with (u)ptex
 .
 ptex2pdf -- Convert Japanese TeX documents to PDF
 .
 pxbase -- Tools for use with (u)pLaTeX
 .
 pxchfon -- Japanese font setup for pLaTeX and upLaTeX
 .
 pxcjkcat -- LaTeX interface for the CJK category codes of upTeX
 .
 pxjahyper -- Hyperref support for pLaTeX
 .
 pxrubrica -- Ruby annotations according to JIS X 4051
 .
 pxufont -- Emulate non-Unicode Japanese fonts using Unicode fonts
 .
 uplatex -- pLaTeX2e and miscellaneous macros for upTeX
 .
 uptex -- Unicode version of pTeX
 .
 uptex-base -- Plain TeX format and documents for upTeX
 .
 uptex-fonts -- Fonts for use with upTeX
 .
 zxjafbfont -- Fallback CJK font support for xeCJK
 .
 zxjatype -- Standard conforming typesetting of Japanese, for XeLaTeX

Package: texlive-lang-cyrillic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2018.20180416), texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20180416)
Breaks: texlive-base (<< 2018.20180416)
Description: TeX Live: Cyrillic
 Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
 if Latin alphabets may also be used.
 .
 This package includes the following CTAN packages:
 .
 babel-belarusian -- Babel support for Belarusian
 .
 babel-bulgarian -- Babel contributed support for Bulgarian
 .
 babel-russian -- Russian language module for Babel
 .
 babel-serbian -- Babel/Polyglossia support for Serbian
 .
 babel-serbianc -- Babel module to support Serbian Cyrillic
 .
 babel-ukrainian -- Babel support for Ukrainian
 .
 churchslavonic -- Typeset documents in Church Slavonic language using
 Unicode
 .
 cmcyr -- Computer Modern fonts with cyrillic extensions
 .
 cyrillic -- Support for Cyrillic fonts in LaTeX
 .
 cyrillic-bin -- Cyrillic bibtex and makeindex
 .
 cyrplain -- Support for using T2 encoding
 .
 disser -- Class and templates for typesetting dissertations in Russian
 .
 eskd -- Modern Russian typesetting
 .
 eskdx -- Modern Russian typesetting
 .
 gost -- BibTeX styles to format according to GOST
 .
 hyphen-belarusian -- Belarusian hyphenation patterns.
 .
 hyphen-bulgarian -- Bulgarian hyphenation patterns.
 .
 hyphen-churchslavonic -- Church Slavonic hyphenation patterns.
 .
 hyphen-mongolian -- Mongolian hyphenation patterns in Cyrillic script.
 .
 hyphen-russian -- Russian hyphenation patterns.
 .
 hyphen-serbian -- Serbian hyphenation patterns.
 .
 hyphen-ukrainian -- Ukrainian hyphenation patterns.
 .
 lcyw -- Make Classic Cyrillic CM fonts accessible in LaTeX
 .
 lh -- Cyrillic fonts that support LaTeX standard encodings
 .
 lhcyr -- A non-standard Cyrillic input scheme
 .
 lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
 LaTeX2e"
 .
 lshort-mongol -- Short introduction to LaTeX, in Mongolian
 .
 lshort-russian -- Russian introduction to LaTeX
 .
 lshort-ukr -- Ukrainian version of the LaTeX introduction
 .
 mongolian-babel -- A language definition file for Mongolian in Babel
 .

## texlive-lang 2018.20180724

=== debian/changelog ===
texlive-lang (2018.20180724-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 24 Jul 2018 10:10:11 +0900

## texlive-lang 2018.20180725

=== debian/changelog ===
texlive-lang (2018.20180725-1) unstable; urgency=medium

  * new upstream checkout
  * fix for mixture of modules from tlcritical
  * fix dangling font links

 -- Norbert Preining <preining@debian.org>  Wed, 25 Jul 2018 14:41:42 +0900

=== debian/control ===
--- 
+++ 
@@ -226,6 +226,8 @@
  .
  convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
  .
+ endnotesj -- Japanese-style endnotes
+ .
  gentombow -- Generate Japanese-style crop marks
  .
  ifptex -- Check if the engine is pTeX or one of its derivatives
@@ -366,5 +368,3 @@
  .
  lshort-ukr -- Ukrainian version of the LaTeX introduction
  .
- mongolian-babel -- A language definition file for Mongolian in Babel
- .

## texlive-lang 2018.20180824

=== texmf-dist/source/uplatex/base/Makefile ===
STRIPTARGET = uplatex.ltx ujarticle.cls
DOCTARGET = uplatex upldoc \
	uplatex-en #upldoc-en
PDFTARGET = $(addsuffix .pdf,$(DOCTARGET))
DVITARGET = $(addsuffix .dvi,$(DOCTARGET))
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f uptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

default: $(STRIPTARGET) $(DVITARGET)
strip: $(STRIPTARGET)
all: $(STRIPTARGET) $(PDFTARGET)

PLFMT = uplatex.ltx uplcore.ltx ukinsoku.tex upldefs.ltx \
	jy2mc.fd jy2gt.fd jt2mc.fd jt2gt.fd uptrace.sty

PLFMT_SRC = uplatex.dtx uplvers.dtx uplfonts.dtx ukinsoku.dtx

PLCLS = ujarticle.cls ujreport.cls ujbook.cls ujsize10.clo \
	ujsize11.clo ujsize12.clo ujbk10.clo ujbk11.clo ujbk12.clo \
	utarticle.cls utreport.cls utbook.cls utsize10.clo \
	utsize11.clo utsize12.clo utbk10.clo utbk11.clo utbk12.clo

PLCLS_SRC = ujclasses.dtx

INTRODOC_SRC = uplatex.dtx

PLDOC_SRC = uplatex.dtx uplvers.dtx uplfonts.dtx \
	ukinsoku.dtx ujclasses.dtx

uplatex.ltx: $(PLFMT_SRC)
	rm -f $(PLFMT)
	uplatex $(KANJI) uplfmt.ins
	rm uplfmt.log

ujarticle.cls: $(PLCLS_SRC)
	rm -f $(PLCLS)
	uplatex $(KANJI) uplcls.ins
	rm uplcls.log

uplatex.dvi: $(INTRODOC_SRC)
	rm -f uplatex.cfg
	uplatex $(KANJI) uplatex.dtx
	mendex -U -f -s gglo.ist -o uplatex.gls uplatex.glo
	uplatex $(KANJI) uplatex.dtx
	rm uplatex.aux uplatex.log
	rm uplatex.glo uplatex.gls uplatex.ilg

upldoc.dvi: $(PLDOC_SRC)
	rm -f uplatex.cfg
	rm -f upldoc.tex Xins.ins
	uplatex $(KANJI) upldocs.ins
	rm -f mkpldoc*.sh #dstcheck.pl
	uplatex $(KANJI) Xins.ins
	sh mkpldoc.sh
	rm *.aux *.log upldoc.toc upldoc.idx upldoc.ind upldoc.ilg
	rm upldoc.glo upldoc.gls upldoc.tex Xins.ins
	rm ltxdoc.cfg upldoc.dic mkpldoc*.sh #dstcheck.pl

uplatex-en.dvi: $(INTRODOC_SRC)
	# built-in echo in shell is troublesome, so use perl instead
	perl -e "print \"\\\\newif\\\\ifJAPANESE\\n"\" >uplatex.cfg
	uplatex -jobname=uplatex-en $(KANJI) uplatex.dtx
	mendex -U -f -s gglo.ist -o uplatex-en.gls uplatex-en.glo
	uplatex -jobname=uplatex-en $(KANJI) uplatex.dtx
	rm uplatex-en.aux uplatex-en.log
	rm uplatex-en.glo uplatex-en.gls uplatex-en.ilg
	rm uplatex.cfg

upldoc-en.dvi: $(PLDOC_SRC)
	# built-in echo in shell is troublesome, so use perl instead
	perl -e "print \"\\\\newif\\\\ifJAPANESE\\n"\" >uplatex.cfg
	rm -f upldoc.tex Xins.ins
	uplatex $(KANJI) upldocs.ins
	rm -f mkpldoc*.sh #dstcheck.pl
	uplatex $(KANJI) Xins.ins
	sh mkpldoc-en.sh
	rm *.aux *.log upldoc-en.toc upldoc-en.idx upldoc-en.ind upldoc-en.ilg
	rm upldoc-en.glo upldoc-en.gls upldoc.tex Xins.ins
	rm ltxdoc.cfg upldoc.dic mkpldoc*.sh #dstcheck.pl
	rm uplatex.cfg

uplatex.pdf: uplatex.dvi
	dvipdfmx $(FONTMAP) $<
upldoc.pdf: upldoc.dvi
	dvipdfmx $(FONTMAP) $<
uplatex-en.pdf: uplatex-en.dvi
	dvipdfmx $(FONTMAP) $<
upldoc-en.pdf: upldoc-en.dvi
	dvipdfmx $(FONTMAP) $<

.PHONY: install clean cleanstrip cleanall cleandoc
install:
	mkdir -p ${TEXMF}/doc/uplatex/base
	cp ./LICENSE ${TEXMF}/doc/uplatex/base/
	cp ./README.md ${TEXMF}/doc/uplatex/base/
	cp ./*.pdf ${TEXMF}/doc/uplatex/base/
	cp ./*.txt ${TEXMF}/doc/uplatex/base/
	mkdir -p ${TEXMF}/source/uplatex/base
	cp ./Makefile ${TEXMF}/source/uplatex/base/
	cp ./*.dtx ${TEXMF}/source/uplatex/base/
	cp ./*.ins ${TEXMF}/source/uplatex/base/
	mkdir -p ${TEXMF}/tex/uplatex/base
	cp ./ukinsoku.tex ${TEXMF}/tex/uplatex/base/
	cp ./*.clo ${TEXMF}/tex/uplatex/base/
	cp ./*.cls ${TEXMF}/tex/uplatex/base/
	cp ./*.fd  ${TEXMF}/tex/uplatex/base/
	cp ./*.ltx ${TEXMF}/tex/uplatex/base/
	cp ./*.sty ${TEXMF}/tex/uplatex/base/
	mkdir -p ${TEXMF}/tex/uplatex/config
	cp ./uplatex.ini ${TEXMF}/tex/uplatex/config/
clean:
	rm -f $(PLFMT) $(PLCLS) \
	$(DVITARGET) \
	upldoc.tex Xins.ins
cleanstrip:
	rm -f $(PLFMT) $(PLCLS) \
	upldoc.tex Xins.ins
cleanall:
	rm -f $(PLFMT) $(PLCLS) \
	$(DVITARGET) $(PDFTARGET) \
	upldoc.tex Xins.ins
cleandoc:
	rm -f $(DVITARGET) $(PDFTARGET)

=== debian/changelog ===
texlive-lang (2018.20180824-1) unstable; urgency=medium

  * new upstream checkout
  * change Perl shebangs

 -- Norbert Preining <preining@debian.org>  Fri, 24 Aug 2018 11:11:45 +0900

=== debian/control ===
--- 
+++ 
@@ -262,14 +262,16 @@
  .
  platexcheat -- A LaTeX cheat sheet, in Japanese
  .
+ plautopatch -- Automated patches for pLaTeX/upLaTeX
+ .
  ptex -- A TeX system for publishing in Japanese
  .
  ptex-base -- Plain TeX format and documents for pTeX and e-pTeX
- .
- ptex-fonts -- Fonts for use with pTeX
  .
  ptex-fontmaps -- Font maps and configuration tools for
  Japanese/Chinese/Korean fonts with (u)ptex
+ .
+ ptex-fonts -- Fonts for use with pTeX
  .
  ptex2pdf -- Convert Japanese TeX documents to PDF
  .
@@ -366,5 +368,3 @@
  .
  lshort-russian -- Russian introduction to LaTeX
  .
- lshort-ukr -- Ukrainian version of the LaTeX introduction
- .

## texlive-lang 2018.20181009

=== texmf-dist/doc/latex/latex2e-help-texinfo/Makefile ===
# $Id: Makefile 617 2018-04-30 14:16:52Z jimhefferon $
# Public domain.  Originally written 2006, Karl Berry.
# Makefile for latexrefman.

en_tex_output = latex2e.dvi latex2e.pdf
es_tex_output = latex2e-es.dvi latex2e-es.pdf
fr_tex_output = latex2e-fr.dvi latex2e-fr.pdf
#
xref_suffixes := ky cp vr fn cp pg tp
xref_suffixes := $(xref_suffixes) $(addsuffix s,$(xref_suffixes))
xref_suffixes := aux log toc $(xref_suffixes)
mi_suffixes = dbk html info txt xml
en_mi_output = $(addprefix latex2e., $(mi_suffixes))
es_mi_output = $(addprefix latex2e-es., $(mi_suffixes))
fr_mi_output = $(addprefix latex2e-fr., $(mi_suffixes))
#
all_suffixes = dvi pdf $(mi_suffixes)


#  how to build.
# 
texi2dvi = texi2dvi --batch --tidy --build-dir=$*.t2dvi
texi2pdf = texi2pdf --batch --tidy --build-dir=$*.t2pdf
#
makeinfo = makeinfo
texi2docbook = $(makeinfo) --docbook
texi2html = $(makeinfo) --html --no-split --css-include=latex2e.css $(texi2html_top)
texi2info = $(makeinfo) --no-split
texi2txt = $(makeinfo) --plaintext --no-split
texi2xml = $(makeinfo) --xml
#
# Go somewhere useful from Top.
texi2html_top = -c TOP_NODE_UP_URL=http://tug.org/texinfohtml/

%.pdf: %.texi
	$(texi2pdf) $<
%.dvi: %.texi
	$(texi2dvi) $<
#
%.dbk: %.texi
	$(texi2docbook) -o $@ $<
%.html: %.texi %.css
	$(texi2html) $<
%.info: %.texi
	$(texi2info) $<
%.txt: %.texi
	$(texi2txt) -o $@ $<
%.xml: %.texi
	$(texi2xml) $<


#  targets follow.
#
default: check-en

# to test changes, build a subset: html and info (since these formats
# exercise significantly different code paths), and pdf for tex.
check_suffixes = html info pdf
#
check-en: spell-en $(addprefix latex2e., $(check_suffixes))
check-es: $(addprefix latex2e-es., $(check_suffixes))
check-fr: $(addprefix latex2e-fr., $(check_suffixes))
check: check-en check-es check-fr

# Build per language.
en: $(en_mi_output) $(en_tex_output)
es: $(es_mi_output) $(es_tex_output)
fr: $(fr_mi_output) $(fr_tex_output)

# To build everything in all languages.
all: en es fr

# following the GNU sequence of clean targets.
distclean clean mostlyclean:
	rm -rf latex2e*.t2*

realclean maintainer-clean: distclean
	rm -f $(addprefix latex2e*., pdf dvi $(mi_suffixes) $(xref_suffixes))


#  dist for CTAN.  Also update NEWS
# 
txt_files = ChangeLog Makefile NEWS README aspell.en.pws ltx-help.el 
figure_files = list.eps list.pdf list.png list.txt
figure_source_files = asy/list.asy
dist = latex2e-help-texinfo.zip
#
dist: en es
	mkdir latex2e-help-texinfo && cd latex2e-help-texinfo && ln -s ../* .	
	mkdir latex2e-help-texinfo/spanish && cd latex2e-help-texinfo/spanish && ln -s ../../* .
	rm -f $(dist)
	zip -q $(dist) \
$(addprefix latex2e-help-texinfo/, $(txt_files) \
                          latex2e.texi common.texi $(en_mi_output) latex2e.pdf) \
$(addprefix latex2e-help-texinfo/spanish/,  $(es_mi_output) latex2e-es.pdf) \
$(addprefix latex2e-help-texinfo/latex2e-figures/,  $(figure_files)) \
$(addprefix latex2e-help-texinfo/graphics/,  README $(figure_source_files))
	rm -rf latex2e-help-texinfo
	@ls -l $(dist); unzip -l $(dist)

# A hacky spell check target.
# Remove \commandnames to reduce exception list, but not {args} or
# [args], since they are often words.
spell spell-en:
	sed -e 's/\\[a-zA-Z]*//g' latex2e.texi \
	| aspell list --mode=texinfo --add-extra-dicts=`pwd`/aspell.en.pws \
        | sort -f -u

# Check for doubled words.
# http://www.math.utah.edu/~beebe/software/file-tools.html#dw
check-dw:
	grep -v '^@item' latex2e.texi | dw

# Convenience targets to svn revert the generated files,
# and svn diff the source files.
svr:
	svn revert $(addprefix latex2e*., $(all_suffixes))
svd:
	svn diff $(txt_files) *.texi

=== debian/changelog ===
texlive-lang (2018.20181009-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 09 Oct 2018 11:09:19 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://www.tug.org/texlive/
 
 Package: texlive-lang-arabic
@@ -224,6 +224,8 @@
  .
  bxorigcapt -- To retain the original caption names when using Babel
  .
+ bxwareki -- Convert dates from Gregorian to Japanase calender
+ .
  convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
  .
  endnotesj -- Japanese-style endnotes
@@ -272,6 +274,8 @@
  Japanese/Chinese/Korean fonts with (u)ptex
  .
  ptex-fonts -- Fonts for use with pTeX
+ .
+ ptex-manual -- Japanese pTeX manual
  .
  ptex2pdf -- Convert Japanese TeX documents to PDF
  .
@@ -365,6 +369,3 @@
  LaTeX2e"
  .
  lshort-mongol -- Short introduction to LaTeX, in Mongolian
- .
- lshort-russian -- Russian introduction to LaTeX
- .

## texlive-lang 2018.20181106

=== texmf-dist/doc/latex/platex-tools/Makefile ===
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f ptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

all: plarray.pdf plextarray.pdf plextdelarray.pdf \
	pxatbegshi.pdf pxftnright.pdf \
	pxeverysel.pdf pxeveryshi.pdf

.SUFFIXES: .tex .dvi .pdf
%.dvi: %.tex %.sty
	platex $(KANJI) $<
	platex $(KANJI) $<
	rm *.aux *.log
.dvi.pdf:
	dvipdfmx $(FONTMAP) $<

.PHONY: install clean
install:
	mkdir -p ${TEXMF}/doc/platex/platex-tools
	cp ./Makefile ${TEXMF}/doc/platex/platex-tools/
	cp ./LICENSE ${TEXMF}/doc/platex/platex-tools/
	cp ./README.md ${TEXMF}/doc/platex/platex-tools/
	cp ./*.pdf ${TEXMF}/doc/platex/platex-tools/
	cp ./*.tex ${TEXMF}/doc/platex/platex-tools/
	mkdir -p ${TEXMF}/tex/platex/platex-tools
	cp ./*.sty ${TEXMF}/tex/platex/platex-tools/
clean:
	rm -f *.dvi *.pdf

=== debian/changelog ===
texlive-lang (2018.20181106-1) unstable; urgency=medium

  * new upstream checkout
  * font reuse updates

 -- Norbert Preining <preining@debian.org>  Tue, 06 Nov 2018 11:45:30 +0900

texlive-lang (2018.20180926-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 26 Sep 2018 19:56:17 +0900

=== debian/control ===
--- 
+++ 
@@ -185,6 +185,8 @@
  .
  xpinyin -- Automatically add pinyin to Chinese characters
  .
+ zhlineskip -- Line spacing for CJK documents
+ .
  zhlipsum -- Chinese dummy text
  .
  zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
@@ -368,4 +370,3 @@
  lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
  LaTeX2e"
  .
- lshort-mongol -- Short introduction to LaTeX, in Mongolian

## texlive-lang 2018.20181116

=== debian/changelog ===
texlive-lang (2018.20181116-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Fri, 16 Nov 2018 14:46:14 +0900

## texlive-lang 2018.20181214

=== debian/changelog ===
texlive-lang (2018.20181214-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Fri, 14 Dec 2018 13:58:24 +0900

## texlive-lang 2018.20190122

=== debian/changelog ===
texlive-lang (2018.20190122-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Jan 2019 11:27:52 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Norbert Preining <preining@debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
 Standards-Version: 4.2.1

## texlive-lang 2018.20190126

=== debian/changelog ===
texlive-lang (2018.20190126-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <norbert@preining.info>  Sat, 26 Jan 2019 07:06:39 +0900

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Package: texlive-lang-arabic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2018.20180416), texlive-base (>= 2018.20180416), texlive-plain-generic (>= 2018.20180416)
+Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2018.20190126), texlive-base (>= 2018.20190126), texlive-plain-generic (>= 2018.20190126)
 Replaces: texlive-luatex (<< 2017.20171022)
-Breaks: texlive-base (<< 2018.20180416), texlive-luatex (<< 2017.20171022)
+Breaks: texlive-base (<< 2018.20190126), texlive-luatex (<< 2017.20171022)
 Description: TeX Live: Arabic
  Support for Arabic and Persian.
  .
@@ -68,9 +68,9 @@
 Package: texlive-lang-cjk
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2018.20180416), texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20180416)
+Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2018.20190126), texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20190126)
 Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
-Breaks: texlive-base (<< 2018.20180416)
+Breaks: texlive-base (<< 2018.20190126)
 Description: TeX Live: Chinese/Japanese/Korean (base)
  Packages supporting a combination of Chinese, Japanese, Korean, including 
  macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
@@ -104,10 +104,10 @@
 Package: texlive-lang-korean
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20180416)
+Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20190126)
 Conflicts: ko.tex-bin
 Provides: ko.tex
-Breaks: texlive-base (<< 2018.20180416)
+Breaks: texlive-base (<< 2018.20190126)
 Description: TeX Live: Korean
  Support for Korean; additional packages in collection-langcjk.
  .
@@ -138,8 +138,8 @@
 Package: texlive-lang-chinese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2018.20180416), texlive-lang-cjk (>= 2018.20180416)
-Breaks: texlive-base (<< 2018.20180416)
+Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2018.20190126), texlive-lang-cjk (>= 2018.20190126)
+Breaks: texlive-base (<< 2018.20190126)
 Description: TeX Live: Chinese
  Support for Chinese; additional packages in collection-langcjk.
  .
@@ -200,11 +200,11 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20180416)
+Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20190126)
 Conflicts: ptex-jisfonts
 Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
 Replaces: mendexk
-Breaks: texlive-base (<< 2018.20180416)
+Breaks: texlive-base (<< 2018.20190126)
 Description: TeX Live: Japanese
  Support for Japanese; additional packages in collection-langcjk.
  .
@@ -308,8 +308,8 @@
 Package: texlive-lang-cyrillic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2018.20180416), texlive-base (>= 2018.20180416), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20180416)
-Breaks: texlive-base (<< 2018.20180416)
+Depends: ${misc:Depends}, texlive-base (>= 2018.20190126), texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20190126)
+Breaks: texlive-base (<< 2018.20190126)
 Description: TeX Live: Cyrillic
  Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
  if Latin alphabets may also be used.

## texlive-lang 2018.20190131

=== debian/changelog ===
texlive-lang (2018.20190131-1) unstable; urgency=medium

  * new upstream checkout
    - fix luatexja incompatibility with new fontspec

 -- Norbert Preining <norbert@preining.info>  Thu, 31 Jan 2019 12:55:02 +0900

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
 Standards-Version: 4.2.1
 Homepage: http://www.tug.org/texlive/
+Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
+Vcs-Browser: https://github.com/debian-tex/texlive-nonbin
 
 Package: texlive-lang-arabic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2018.20190126), texlive-base (>= 2018.20190126), texlive-plain-generic (>= 2018.20190126)
+Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2018.20190131), texlive-base (>= 2018.20190131), texlive-plain-generic (>= 2018.20190131)
 Replaces: texlive-luatex (<< 2017.20171022)
-Breaks: texlive-base (<< 2018.20190126), texlive-luatex (<< 2017.20171022)
+Breaks: texlive-base (<< 2018.20190131), texlive-luatex (<< 2017.20171022)
 Description: TeX Live: Arabic
  Support for Arabic and Persian.
  .
@@ -68,9 +70,9 @@
 Package: texlive-lang-cjk
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2018.20190126), texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20190126)
+Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2018.20190131), texlive-base (>= 2018.20190131), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20190131)
 Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
-Breaks: texlive-base (<< 2018.20190126)
+Breaks: texlive-base (<< 2018.20190131)
 Description: TeX Live: Chinese/Japanese/Korean (base)
  Packages supporting a combination of Chinese, Japanese, Korean, including 
  macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
@@ -104,10 +106,10 @@
 Package: texlive-lang-korean
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20190126)
+Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2018.20190131), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20190131)
 Conflicts: ko.tex-bin
 Provides: ko.tex
-Breaks: texlive-base (<< 2018.20190126)
+Breaks: texlive-base (<< 2018.20190131)
 Description: TeX Live: Korean
  Support for Korean; additional packages in collection-langcjk.
  .
@@ -138,8 +140,8 @@
 Package: texlive-lang-chinese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2018.20190126), texlive-lang-cjk (>= 2018.20190126)
-Breaks: texlive-base (<< 2018.20190126)
+Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2018.20190131), texlive-lang-cjk (>= 2018.20190131)
+Breaks: texlive-base (<< 2018.20190131)
 Description: TeX Live: Chinese
  Support for Chinese; additional packages in collection-langcjk.
  .
@@ -171,6 +173,8 @@
  .
  lshort-chinese -- Introduction to LaTeX, in Chinese
  .
+ njurepo -- Reports for the Nanjing University
+ .
  pgfornament-han -- pgfornament library for Chinese traditional motifs and
  patterns
  .
@@ -200,11 +204,11 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20190126)
+Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2018.20190131), texlive-binaries (>= 2018.20180416), texlive-lang-cjk (>= 2018.20190131)
 Conflicts: ptex-jisfonts
 Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
 Replaces: mendexk
-Breaks: texlive-base (<< 2018.20190126)
+Breaks: texlive-base (<< 2018.20190131)
 Description: TeX Live: Japanese
  Support for Japanese; additional packages in collection-langcjk.
  .
@@ -308,8 +312,8 @@
 Package: texlive-lang-cyrillic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2018.20190126), texlive-base (>= 2018.20190126), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20190126)
-Breaks: texlive-base (<< 2018.20190126)
+Depends: ${misc:Depends}, texlive-base (>= 2018.20190131), texlive-base (>= 2018.20190131), texlive-binaries (>= 2018.20180416), texlive-latex-base (>= 2018.20190131)
+Breaks: texlive-base (<< 2018.20190131)
 Description: TeX Live: Cyrillic
  Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
  if Latin alphabets may also be used.
@@ -363,10 +367,3 @@
  .
  lcyw -- Make Classic Cyrillic CM fonts accessible in LaTeX
  .
- lh -- Cyrillic fonts that support LaTeX standard encodings
- .
- lhcyr -- A non-standard Cyrillic input scheme
- .
- lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
- LaTeX2e"
- .
